Subject: bug#2058 closed by Tassilo Horn <[email-masked]> (Closing that bug)

From: [email-masked] (Emacs bug Tracking System)
Date: Wed, 28 Jan 2009 08:25:05 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#2058: 23.0.60; bewildering behavior when visit new file throw.pdf

It has been closed by Tassilo Horn <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Tassilo Horn <[email-masked]> by
replying to this email.

-- 
2058: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2058
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Closing that bug
From: Tassilo Horn <[email-masked]>
To: [email-masked]
Date: Wed, 28 Jan 2009 09:18:55 +0100

Hi all,

I'm closing that bug, cause I think doc-view does TRT now.  If you don't
agree, please drop me a mail...

Bye,
Tassilo

Subject: 23.0.60; bewildering behavior when visit new file throw.pdf
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Sun, 25 Jan 2009 15:09:19 -0800

emacs -Q
 
I did C-x C-f throw.pdf, with no existing file throw.pdf. The
ensuing messages and interaction were bewildering.
 
An extremely long message appeared in the echo area:
"No image (png) support available or some conversion utility for pdf
files is missing.  Type C-c C-c to switch to an editing mode or C-c
C-t to open a buffer showing the doc as text."
 
But the new, empty file throw.pdf appeared to be visited with no
problem. I tried to type into it. That threw me back to the previous
buffer I had been in (Dired), and crazy error msgs were displayed.

I tried again, and this time I tried to type `C-c C-t', since the 
message indicated that that would open the buffer as text. That too
led to errors.
 
I don't know exactly what happened, but you will, as soon as you try
it. ;-)
 
This is the *Messages* buffer:
 
-----------8<--------------------
For information about GNU Emacs and the GNU system, type C-h C-a.
(New file)
Wrote c:/DOCUME~1/dradams/LOCALS~1/Temp/docview19729/throw.pdf
No image (png) support available or some conversion utility for pdf files is
missing.  Type C-c C-c to switch to an editing mode or C-c C-t to open a buffer
showing the doc as text.
Error during redisplay: (wrong-type-argument numberp nil) [2 times]
Quit [3 times]
(New file)
Wrote c:/DOCUME~1/dradams/LOCALS~1/Temp/docview19729/throw.pdf
No image (png) support available or some conversion utility for pdf files is
missing.  Type C-c C-c to switch to an editing mode or C-c C-t to open a buffer
showing the doc as text.
Error during redisplay: (wrong-type-argument numberp nil) [5 times]
Quit [3 times]
(New file)
Wrote c:/DOCUME~1/dradams/LOCALS~1/Temp/docview19729/throw.pdf
No image (png) support available or some conversion utility for pdf files is
missing.  Type C-c C-c to switch to an editing mode or C-c C-t to open a buffer
showing the doc as text.
Error during redisplay: (wrong-type-argument numberp nil) [4 times]
DocView: process pdf->txt changed status to exited abnormally with code 1
.
Error during redisplay: (wrong-type-argument numberp nil) [5 times]
QuitError during redisplay: (wrong-type-argument numberp nil) [2 times]
Error during redisplay: (wrong-type-argument numberp nil) [5 times]
-----------8<--------------------
 
[Note too that it shows that a temporary file was written.]
 
In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600) of 2009-01-04 on
 LENNART-69DE564 Windowing system distributor `Microsoft Corp.',
 version 5.1.2600 configured using `configure --with-gcc (3.4)
 --no-opt --cflags -Ic:/g/include -fno-crossjumping'